/// class ProspectDirector.Web.UI.FeatureSets.FeatureGroupCollection

/**
[NEEDS DOCUMENTATION]
@constructor
@class FeatureGroupCollection
@namespace Web.UI.FeatureSets
**/
ProspectDirector.Web.UI.FeatureSets.FeatureGroupCollection = ProspectDirector.Web.List.extend({

    //==============================
    // FIELDS
    //==============================

    _parent: null,

    //==============================
    // CONSTRUCTOR
    //==============================

    init: function (options) {
        this._super();
        this._parent = options.parent;
    },

    //==============================
    // PROPERTIES
    //==============================

    get_parent: function () {
        return this._parent;
    },

    //==============================
    // PUBLIC METHODS
    //==============================

    getById: function (id) {

        var result = null;

        this.each(function (index, group) {
            if (group.id === id) {
                result = group;
                return false;
            }
        });

        return result;

    }

});